Index: src/superio/winbond/w83627ehg/superio.c
===================================================================
--- src/superio/winbond/w83627ehg/superio.c	(revision 3942)
+++ src/superio/winbond/w83627ehg/superio.c	(working copy)
@@ -99,7 +99,7 @@
 		value = pnp_read_index(base, reg);
 		value &= 0xff & (~(hwm_reg_values[i + 1]));
 		value |= 0xff & hwm_reg_values[i + 2];
-		// printk_debug("base = 0x%04x, reg = 0x%02x, value = 0x%02x\r\n", base, reg,value);
+		// printk_debug("base = 0x%04x, reg = 0x%02x, value = 0x%02x\n", base, reg,value);
 		pnp_write_index(base, reg, value);
 	}
 }
Index: src/superio/winbond/w83627hf/superio.c
===================================================================
--- src/superio/winbond/w83627hf/superio.c	(revision 3942)
+++ src/superio/winbond/w83627hf/superio.c	(working copy)
@@ -90,7 +90,7 @@
 		value &= 0xff & hwm_reg_values[i+1];
 		value |= 0xff & hwm_reg_values[i+2];
 #if 0
-		printk_debug("base = 0x%04x, reg = 0x%02x, value = 0x%02x\r\n", base, reg,value);
+		printk_debug("base = 0x%04x, reg = 0x%02x, value = 0x%02x\n", base, reg,value);
 #endif
 		pnp_write_index(base, reg, value);
 	}
Index: src/superio/ite/it8716f/superio.c
===================================================================
--- src/superio/ite/it8716f/superio.c	(revision 3942)
+++ src/superio/ite/it8716f/superio.c	(working copy)
@@ -72,13 +72,13 @@
 
 	/* Read out current value of FAN_CTL control register (0x14). */
 	value = pnp_read_index(base, 0x14);
-	printk_debug("FAN_CTL: reg = 0x%04x, read value = 0x%02x\r\n",
+	printk_debug("FAN_CTL: reg = 0x%04x, read value = 0x%02x\n",
 		     base + 0x14, value);
 
 	/* Set FAN_CTL control register (0x14) polarity to high, and
 	   activate fans 1, 2 and 3. */
 	pnp_write_index(base, 0x14, value | 0x87);
-	printk_debug("FAN_CTL: reg = 0x%04x, writing value = 0x%02x\r\n",
+	printk_debug("FAN_CTL: reg = 0x%04x, writing value = 0x%02x\n",
 		     base + 0x14, value | 0x87);
 }
 #endif
Index: src/superio/smsc/lpc47m10x/superio.c
===================================================================
--- src/superio/smsc/lpc47m10x/superio.c	(revision 3942)
+++ src/superio/smsc/lpc47m10x/superio.c	(working copy)
@@ -195,7 +195,7 @@
 static void dump_pnp_device(device_t dev)
 {
     int register_index;
-    print_debug("\r\n");
+    print_debug("\n");
 
     for(register_index = 0; register_index <= LPC47M10X2_MAX_CONFIG_REGISTER; register_index++) {
         uint8_t register_value;
@@ -214,10 +214,10 @@
         print_debug_char(' ');
         print_debug_hex8(register_value);
         if ((register_index & 0x0f) == 0x0f) {
-        	print_debug("\r\n");
+        	print_debug("\n");
         }
     }
 
-   	print_debug("\r\n");
+   	print_debug("\n");
 }
 #endif
Index: src/superio/smsc/lpc47n217/superio.c
===================================================================
--- src/superio/smsc/lpc47n217/superio.c	(revision 3942)
+++ src/superio/smsc/lpc47n217/superio.c	(working copy)
@@ -360,7 +360,7 @@
 static void dump_pnp_device(device_t dev)
 {
     int register_index;
-    print_debug("\r\n");
+    print_debug("\n");
 
     for(register_index = 0; register_index <= LPC47N217_MAX_CONFIG_REGISTER; register_index++) {
         uint8_t register_value;
@@ -379,10 +379,10 @@
         print_debug_char(' ');
         print_debug_hex8(register_value);
         if ((register_index & 0x0f) == 0x0f) {
-        	print_debug("\r\n");
+        	print_debug("\n");
         }
     }
 
-   	print_debug("\r\n");
+   	print_debug("\n");
 }
 #endif
Index: src/superio/smsc/lpc47b272/superio.c
===================================================================
--- src/superio/smsc/lpc47b272/superio.c	(revision 3942)
+++ src/superio/smsc/lpc47b272/superio.c	(working copy)
@@ -197,7 +197,7 @@
 static void dump_pnp_device(device_t dev)
 {
     int register_index;
-    print_debug("\r\n");
+    print_debug("\n");
 
     for(register_index = 0; register_index <= LPC47B272_MAX_CONFIG_REGISTER; register_index++) {
         uint8_t register_value;
@@ -216,10 +216,10 @@
         print_debug_char(' ');
         print_debug_hex8(register_value);
         if ((register_index & 0x0f) == 0x0f) {
-        	print_debug("\r\n");
+        	print_debug("\n");
         }
     }
 
-   	print_debug("\r\n");
+   	print_debug("\n");
 }
 #endif
Index: src/superio/smsc/lpc47b397/superio.c
===================================================================
--- src/superio/smsc/lpc47b397/superio.c	(revision 3942)
+++ src/superio/smsc/lpc47b397/superio.c	(working copy)
@@ -98,7 +98,7 @@
 
 	switch(dev->path.u.pnp.device) {
 	case LPC47B397_HWM:
-		printk_debug("lpc47b397 SensorBus Register Access enabled\r\n");
+		printk_debug("lpc47b397 SensorBus Register Access enabled\n");
 		pnp_set_logical_device(dev);
 		enable_hwm_smbus(dev);
 		break;
Index: src/cpu/amd/model_fxx/fidvid.c
===================================================================
--- src/cpu/amd/model_fxx/fidvid.c	(revision 3942)
+++ src/cpu/amd/model_fxx/fidvid.c	(working copy)
@@ -16,9 +16,9 @@
 {
 #if K8_SET_FIDVID_DEBUG == 1
 	#if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("%s%x\r\n", str, val);
+		printk_debug("%s%x\n", str, val);
 	#else
-		print_debug(str); print_debug_hex32(val); print_debug("\r\n");
+		print_debug(str); print_debug_hex32(val); print_debug("\n");
 	#endif
 #endif
 }
@@ -27,9 +27,9 @@
 {
 #if K8_SET_FIDVID_DEBUG == 1
 	#if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("%s%02x\r\n", str, val);
+		printk_debug("%s%02x\n", str, val);
 	#else
-		print_debug(str); print_debug_hex8(val); print_debug("\r\n");
+		print_debug(str); print_debug_hex8(val); print_debug("\n");
 	#endif
 #endif
 }
@@ -38,9 +38,9 @@
 {
 #if K8_SET_FIDVID_DEBUG == 1
 	#if CONFIG_USE_PRINTK_IN_CAR
-		printk_debug("%s%x%x\r\n", str, val, val2);
+		printk_debug("%s%x%x\n", str, val, val2);
 	#else
-		print_debug(str); print_debug_hex32(val); print_debug_hex32(val2); print_debug("\r\n");
+		print_debug(str); print_debug_hex32(val); print_debug_hex32(val2); print_debug("\n");
 	#endif
 #endif
 }
@@ -140,9 +140,9 @@
 
 	if (apicid != apicidx) {
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk_err("wrong apicid, we want change %x, but it is %x\r\n", apicid, apicidx);
+		printk_err("wrong apicid, we want change %x, but it is %x\n", apicid, apicidx);
 #else
-		print_err("wrong apicid, we want change "); print_err_hex8(apicid); print_err(" but it is "); print_err_hex8(apicidx); print_err("\r\n");
+		print_err("wrong apicid, we want change "); print_err_hex8(apicid); print_err(" but it is "); print_err_hex8(apicidx); print_err("\n");
 #endif
 		return fidvid;
 	}
@@ -340,10 +340,10 @@
 
 	if (showmessage) {
 		if (vid_new != vid_cur) {
-			print_err("set vid failed for apicid ="); print_err_hex8(apicidx);  print_err("\r\n");
+			print_err("set vid failed for apicid ="); print_err_hex8(apicidx);  print_err("\n");
 		}
 		if (fid_new != fid_cur) {
-			print_err("set fid failed for apicid ="); print_err_hex8(apicidx); print_err("\r\n");
+			print_err("set fid failed for apicid ="); print_err_hex8(apicidx); print_err("\n");
 		}
 	}
 
Index: src/cpu/amd/model_fxx/init_cpus.c
===================================================================
--- src/cpu/amd/model_fxx/init_cpus.c	(revision 3942)
+++ src/cpu/amd/model_fxx/init_cpus.c	(working copy)
@@ -17,9 +17,9 @@
 static inline void print_initcpu8 (const char *strval, unsigned val)
 {
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk_debug("%s%02x\r\n", strval, val);
+        printk_debug("%s%02x\n", strval, val);
 #else
-        print_debug(strval); print_debug_hex8(val); print_debug("\r\n");
+        print_debug(strval); print_debug_hex8(val); print_debug("\n");
 #endif
 }
 
@@ -36,18 +36,18 @@
 static inline void print_initcpu16 (const char *strval, unsigned val)
 {
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk_debug("%s%04x\r\n", strval, val);
+        printk_debug("%s%04x\n", strval, val);
 #else
-        print_debug(strval); print_debug_hex16(val); print_debug("\r\n");
+        print_debug(strval); print_debug_hex16(val); print_debug("\n");
 #endif
 }
 
 static inline void print_initcpu(const char *strval, unsigned val)
 {
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk_debug("%s%08x\r\n", strval, val);
+        printk_debug("%s%08x\n", strval, val);
 #else
-        print_debug(strval); print_debug_hex32(val); print_debug("\r\n");
+        print_debug(strval); print_debug_hex32(val); print_debug("\n");
 #endif
 }
 
@@ -172,12 +172,12 @@
 static inline __attribute__((always_inline)) void print_apicid_nodeid_coreid(unsigned apicid, struct node_core_id id, const char *str)
 {
 	#if CONFIG_USE_PRINTK_IN_CAR
-                printk_debug("%s --- {  APICID = %02x NODEID = %02x COREID = %02x} ---\r\n", str, apicid, id.nodeid, id.coreid);
+                printk_debug("%s --- {  APICID = %02x NODEID = %02x COREID = %02x} ---\n", str, apicid, id.nodeid, id.coreid);
 	#else
 		print_debug(str);
         	print_debug(" ---- {APICID = "); print_debug_hex8(apicid);
 		print_debug(" NODEID = "), print_debug_hex8(id.nodeid); print_debug(" COREID = "), print_debug_hex8(id.coreid);
-	        print_debug("} --- \r\n");
+	        print_debug("} --- \n");
         #endif
 }
 
@@ -224,7 +224,7 @@
 {
         print_debug("started ap apicid: ");
         for_each_ap(bsp_apicid, 2 , wait_ap_started, (void *)0);
-        print_debug("\r\n");
+        print_debug("\n");
 }
 
 static void allow_all_aps_stop(unsigned bsp_apicid)
@@ -314,8 +314,8 @@
 #endif
 
                 if (cpu_init_detectedx) {
-                        print_apicid_nodeid_coreid(apicid, id, "\r\n\r\n\r\nINIT detected from ");
-                        print_debug("\r\nIssuing SOFT_RESET...\r\n");
+                        print_apicid_nodeid_coreid(apicid, id, "\n\n\nINIT detected from ");
+                        print_debug("\nIssuing SOFT_RESET...\n");
                         soft_reset();
                 }
 
@@ -378,7 +378,7 @@
                 while(!is_core0_started(i)) {}
                 print_initcpu8_nocr(" ", i);
         }
-        print_debug("\r\n");
+        print_debug("\n");
 
 }
 
Index: src/cpu/amd/sc520/raminit.c
===================================================================
--- src/cpu/amd/sc520/raminit.c	(revision 3942)
+++ src/cpu/amd/sc520/raminit.c	(working copy)
@@ -248,14 +248,14 @@
 
 
 static void dumpram(void){
-  print_err("ctl "); print_err_hex8(*drcctl); print_err("\r\n");
-  print_err("mctl "); print_err_hex8(*drcmctl); print_err("\r\n");
-  print_err("cfg "); print_err_hex8(*drccfg); print_err("\r\n");
+  print_err("ctl "); print_err_hex8(*drcctl); print_err("\n");
+  print_err("mctl "); print_err_hex8(*drcmctl); print_err("\n");
+  print_err("cfg "); print_err_hex8(*drccfg); print_err("\n");
 
-  print_err("bendadr0 "); print_err_hex8(*drcbendadr); print_err("\r\n");
-  print_err("bendadr1 "); print_err_hex8(*drcbendadr); print_err("\r\n");
-  print_err("bendadr2 "); print_err_hex8(*drcbendadr); print_err("\r\n");
-  print_err("bendadr3"); print_err_hex8(*drcbendadr); print_err("\r\n");
+  print_err("bendadr0 "); print_err_hex8(*drcbendadr); print_err("\n");
+  print_err("bendadr1 "); print_err_hex8(*drcbendadr); print_err("\n");
+  print_err("bendadr2 "); print_err_hex8(*drcbendadr); print_err("\n");
+  print_err("bendadr3"); print_err_hex8(*drcbendadr); print_err("\n");
 }
 
 /* there is a lot of silliness in the amd code, and it is 
@@ -311,11 +311,11 @@
 	print_err("NOP\n");
 	/* 100? 200? */
 	udelay(100);
-	print_err("after sc520_udelay\r\n");
+	print_err("after sc520_udelay\n");
 
 	/* issue all banks precharge */
 	*drcctl=0x02;
-	print_err("set *drcctl to 2 \r\n");
+	print_err("set *drcctl to 2 \n");
 	dummy_write();
 	print_err("PRE\n");
 
@@ -334,7 +334,7 @@
 	*drcctl=0x04;
 	for (i=0; i<8; i++) /* refresh 8 times */{
 		dummy_write();
-		print_err("dummy write\r\n");
+		print_err("dummy write\n");
 	}
 	print_err("8 dummy writes\n");
 
@@ -342,18 +342,18 @@
 	*drcctl=0x00;
 	print_err("normal\n");
 
-	print_err("HI done normal\r\n");
+	print_err("HI done normal\n");
 
 	print_err("sizemem\n");
 	for(bank = 3; bank >= 0; bank--) {
-	  print_err("Try to assign to l\r\n");
+	  print_err("Try to assign to l\n");
 	  *lp = 0xdeadbeef;
-	  print_err("assigned l ... \r\n");
+	  print_err("assigned l ... \n");
 	  if (*lp != 0xdeadbeef) {
 	    print_err(" no memory at bank "); 
 	    // print_err_hex8(bank); 
 	    //   print_err(" value "); print_err_hex32(*lp);
-	    print_err("\r\n"); 
+	    print_err("\n"); 
 	    //	    continue;
 	  }
 	  *drcctl = 2;
@@ -362,7 +362,7 @@
 	  l = *drcbendadr;
 	  l >>= 8; 
 	  *drcbendadr = l;
-	  print_err("loop around\r\n");
+	  print_err("loop around\n");
 	  *drcctl = 0;
 	  dummy_write();
 	}
@@ -386,11 +386,11 @@
 	print_err("NOP\n");
 	/* 100? 200? */
 	//sc520_udelay(100);
-	print_err("after sc520_udelay\r\n");
+	print_err("after sc520_udelay\n");
 
 	/* issue all banks precharge */
 	*drcctl=0x02;
-	print_err("set *drcctl to 2 \r\n");
+	print_err("set *drcctl to 2 \n");
 	dummy_write();
 	print_err("PRE\n");
 
@@ -409,7 +409,7 @@
 	*drcctl=0x04;
 	for (i=0; i<8; i++) /* refresh 8 times */{
 		dummy_write();
-		print_err("dummy write\r\n");
+		print_err("dummy write\n");
 	}
 	print_err("8 dummy writes\n");
 
@@ -417,7 +417,7 @@
 	*drcctl=0x00;
 	print_err("normal\n");
 
-	print_err("HI done normal\r\n");
+	print_err("HI done normal\n");
 	bank = 3;
 
 
@@ -558,7 +558,7 @@
 	al -= i&3;
 	*drcbendaddr = rows >> al;
 	print_err("computed ending_adr = "); print_err_hex8(ending_adr); 
-	print_err("\r\n");
+	print_err("\n");
 	
 */
 bad_reinit:
@@ -592,7 +592,7 @@
 	return bank;
 	
 bad_ram:
-	print_info("bad ram!\r\n");
+	print_info("bad ram!\n");
 	/* you are here because the read-after-write failed, 
 	 * in most cases because: no ram in that bank! 
 	 * set badbank to 1 and go to reinit
@@ -600,7 +600,7 @@
 	ending_adr = 0;
 	goto bad_reinit;
 	while(1)
-	print_err("DONE NEXTBANK\r\n");
+	print_err("DONE NEXTBANK\n");
 #endif
 }	
 
@@ -628,27 +628,27 @@
 	/* two autorefreshes */
 	*drcctl = 4;
 	*zero = 0;
-	print_debug("one zero out on refresh\r\n");
+	print_debug("one zero out on refresh\n");
 	*zero = 0;
-	print_debug("two zero out on refresh\r\n");
+	print_debug("two zero out on refresh\n");
 
 	/* load mode register */
 	*drcctl = 3;
 	*zero = 0;
-	print_debug("DONE the load mode reg\r\n");
+	print_debug("DONE the load mode reg\n");
 	
 	/* normal mode */
 	*drcctl = 0x0;
 	*zero = 0;
-	print_debug("DONE one last write and then turn on refresh etc\r\n");
+	print_debug("DONE one last write and then turn on refresh etc\n");
 	*drcctl = 0x18;
 	*zero = 0;
-	print_debug("DONE the normal\r\n");
+	print_debug("DONE the normal\n");
 	*zero = 0xdeadbeef;
 	if (*zero != 0xdeadbeef) 
-	  print_debug("NO LUCK\r\n");
+	  print_debug("NO LUCK\n");
 	else
-	  print_debug("did a store and load ...\r\n");
+	  print_debug("did a store and load ...\n");
 	//print_err_hex32(*zero);
-	//	print_err(" zero is now "); print_err_hex32(*zero); print_err("\r\n");
+	//	print_err(" zero is now "); print_err_hex32(*zero); print_err("\n");
 }
Index: src/cpu/amd/dualcore/amd_sibling.c
===================================================================
--- src/cpu/amd/dualcore/amd_sibling.c	(revision 3942)
+++ src/cpu/amd/dualcore/amd_sibling.c	(working copy)
@@ -113,7 +113,7 @@
 
 	if((apicid_base+ioapic_num-1)>0xf) {
 		// We need to enable APIC EXT ID
-		printk_info("if the IO APIC device doesn't support 256 apic id, \r\n you need to set ENABLE_APIC_EXT_ID in auto.c so you can spare 16 id for ioapic\r\n");
+		printk_info("if the IO APIC device doesn't support 256 apic id, \n you need to set ENABLE_APIC_EXT_ID in auto.c so you can spare 16 id for ioapic\n");
 		enable_apic_ext_id(nodes);
 	}
 	
Index: src/cpu/amd/quadcore/amd_sibling.c
===================================================================
--- src/cpu/amd/quadcore/amd_sibling.c	(revision 3942)
+++ src/cpu/amd/quadcore/amd_sibling.c	(working copy)
@@ -114,7 +114,7 @@
 
 	if((apicid_base+ioapic_num-1)>0xf) {
 		// We need to enable APIC EXT ID
-		printk_spew("if the IO APIC device doesn't support 256 apic id, \r\n you need to set ENABLE_APIC_EXT_ID in MB Option.lb so you can spare 16 id for ioapic\r\n");
+		printk_spew("if the IO APIC device doesn't support 256 apic id, \n you need to set ENABLE_APIC_EXT_ID in MB Option.lb so you can spare 16 id for ioapic\n");
 		enable_apic_ext_id(sysconf.nodes);
 	}
 
Index: src/cpu/amd/model_lx/cpureginit.c
===================================================================
--- src/cpu/amd/model_lx/cpureginit.c	(revision 3942)
+++ src/cpu/amd/model_lx/cpureginit.c	(working copy)
@@ -209,9 +209,9 @@
 	print_debug_hex32(msr.hi);
 	print_debug(" and lo ");
 	print_debug_hex32(msr.lo);
-	print_debug("\r\n");
+	print_debug("\n");
 	wrmsr(GLCP_DELAY_CONTROLS, msr);
-	print_debug("SetDelayControl done\r\n");
+	print_debug("SetDelayControl done\n");
 	return;
 }
 
@@ -225,7 +225,7 @@
 
 	/* Castle 2.0 BTM periodic sync period. */
 	/*      [40:37] 1 sync record per 256 bytes */
-	print_debug("Castle 2.0 BTM periodic sync period.\r\n");
+	print_debug("Castle 2.0 BTM periodic sync period.\n");
 	msrnum = CPU_PF_CONF;
 	msr = rdmsr(msrnum);
 	msr.hi |= (0x8 << 5);
@@ -235,7 +235,7 @@
 	 * LX performance setting.
 	 * Enable Quack for fewer re-RAS on the MC
 	 */
-	print_debug("Enable Quack for fewer re-RAS on the MC\r\n");
+	print_debug("Enable Quack for fewer re-RAS on the MC\n");
 	msrnum = GLIU0_ARB;
 	msr = rdmsr(msrnum);
 	msr.hi &= ~ARB_UPPER_DACK_EN_SET;
@@ -251,25 +251,25 @@
 	/* GLIU port active enable, limit south pole masters 
 	 * (AES and PCI) to one outstanding transaction. 
 	 */
-	print_debug(" GLIU port active enable\r\n");
+	print_debug(" GLIU port active enable\n");
 	msrnum = GLIU1_PORT_ACTIVE;
 	msr = rdmsr(msrnum);
 	msr.lo &= ~0x880;
 	wrmsr(msrnum, msr);
 
 	/* Set the Delay Control in GLCP */
-	print_debug("Set the Delay Control in GLCP\r\n");
+	print_debug("Set the Delay Control in GLCP\n");
 	SetDelayControl();
 
 	/*  Enable RSDC */
-	print_debug("Enable RSDC\r\n");
+	print_debug("Enable RSDC\n");
 	msrnum = CPU_AC_SMM_CTL;
 	msr = rdmsr(msrnum);
 	msr.lo |= SMM_INST_EN_SET;
 	wrmsr(msrnum, msr);
 
 	/* FPU imprecise exceptions bit */
-	print_debug("FPU imprecise exceptions bit\r\n");
+	print_debug("FPU imprecise exceptions bit\n");
 	msrnum = CPU_FPU_MSR_MODE;
 	msr = rdmsr(msrnum);
 	msr.lo |= FPU_IE_SET;
@@ -277,14 +277,14 @@
 
 	/* Power Savers (Do after BIST) */
 	/* Enable Suspend on HLT & PAUSE instructions */
-	print_debug("Enable Suspend on HLT & PAUSE instructions\r\n");
+	print_debug("Enable Suspend on HLT & PAUSE instructions\n");
 	msrnum = CPU_XC_CONFIG;
 	msr = rdmsr(msrnum);
 	msr.lo |= XC_CONFIG_SUSP_ON_HLT | XC_CONFIG_SUSP_ON_PAUSE;
 	wrmsr(msrnum, msr);
 
 	/* Enable SUSP and allow TSC to run in Suspend (keep speed detection happy) */
-	print_debug("Enable SUSP and allow TSC to run in Suspend\r\n");
+	print_debug("Enable SUSP and allow TSC to run in Suspend\n");
 	msrnum = CPU_BC_CONF_0;
 	msr = rdmsr(msrnum);
 	msr.lo |= TSC_SUSP_SET | SUSP_EN_SET;
@@ -302,10 +302,10 @@
 #endif
 
 	/* Setup throttling delays to proper mode if it is ever enabled. */
-	print_debug("Setup throttling delays to proper mode\r\n");
+	print_debug("Setup throttling delays to proper mode\n");
 	msrnum = GLCP_TH_OD;
 	msr.hi = 0;
 	msr.lo = 0x00000603C;
 	wrmsr(msrnum, msr);
-	print_debug("Done cpuRegInit\r\n");
+	print_debug("Done cpuRegInit\n");
 }
Index: src/cpu/amd/car/copy_and_run.c
===================================================================
--- src/cpu/amd/car/copy_and_run.c	(revision 3942)
+++ src/cpu/amd/car/copy_and_run.c	(working copy)
@@ -5,9 +5,9 @@
 static inline void print_debug_cp_run(const char *strval, uint32_t val)
 {
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk_debug("%s%08x\r\n", strval, val);
+        printk_debug("%s%08x\n", strval, val);
 #else
-        print_debug(strval); print_debug_hex32(val); print_debug("\r\n");
+        print_debug(strval); print_debug_hex32(val); print_debug("\n");
 #endif
 }
 
@@ -25,7 +25,7 @@
 
 
 #if !CONFIG_COMPRESS 
-	print_debug("Copying coreboot to RAM.\r\n");
+	print_debug("Copying coreboot to RAM.\n");
 	__asm__ volatile (
 		"leal _liseg, %0\n\t"
 		"leal _iseg, %1\n\t"
@@ -35,7 +35,7 @@
 	);
 	memcpy(dst, src, olen);
 #else 
-	print_debug("Uncompressing coreboot to RAM.\r\n");
+	print_debug("Uncompressing coreboot to RAM.\n");
 
         __asm__ volatile (
 	        "leal _liseg, %0\n\t"
@@ -56,7 +56,7 @@
 
 	print_debug_cp_run("coreboot_ram.bin   length = ", olen);
 
-	print_debug("Jumping to coreboot.\r\n");
+	print_debug("Jumping to coreboot.\n");
 
         __asm__ volatile (
                 "xorl %ebp, %ebp\n\t" /* cpu_reset for hardwaremain dummy */
@@ -74,7 +74,7 @@
         uint8_t *src, *dst;
         unsigned long ilen, olen;
 
-//        print_debug("Copying coreboot AP code to CAR.\r\n");
+//        print_debug("Copying coreboot AP code to CAR.\n");
 
 #if !CONFIG_COMPRESS
         __asm__ volatile (
@@ -106,7 +106,7 @@
 
 //        print_debug_cp_run("coreboot_apc.bin   length = ", olen);
 
-//        print_debug("Jumping to coreboot AP code in CAR.\r\n");
+//        print_debug("Jumping to coreboot AP code in CAR.\n");
 
         __asm__ volatile (
                 "movl %0, %%ebp\n\t" /* cpu_reset for hardwaremain dummy */
Index: src/cpu/amd/car/post_cache_as_ram.c
===================================================================
--- src/cpu/amd/car/post_cache_as_ram.c	(revision 3942)
+++ src/cpu/amd/car/post_cache_as_ram.c	(working copy)
@@ -8,9 +8,9 @@
 static inline void print_debug_pcar(const char *strval, uint32_t val)
 {
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk_debug("%s%08x\r\n", strval, val);
+        printk_debug("%s%08x\n", strval, val);
 #else
-        print_debug(strval); print_debug_hex32(val); print_debug("\r\n");
+        print_debug(strval); print_debug_hex32(val); print_debug("\n");
 #endif
 }
 
@@ -81,15 +81,15 @@
 	/* We can put data to stack again */
 
         /* only global variable sysinfo in cache need to be offset */
-        print_debug("Done\r\n");
+        print_debug("Done\n");
         print_debug_pcar("testx = ", testx);
 
-	print_debug("Disabling cache as ram now \r\n");
+	print_debug("Disabling cache as ram now \n");
 	disable_cache_as_ram_bsp();  
 
         print_debug("Clearing initial memory region: ");
         clear_init_ram(); //except the range from [(CONFIG_LB_MEM_TOPK<<10) - DCACHE_RAM_SIZE, (CONFIG_LB_MEM_TOPK<<10))
-        print_debug("Done\r\n");
+        print_debug("Done\n");
 
 //	dump_mem((CONFIG_LB_MEM_TOPK<<10) - 0x8000, (CONFIG_LB_MEM_TOPK<<10) - 0x7c00);
 
@@ -108,7 +108,7 @@
         copy_and_run();
         /* We will not return */
 
-        print_debug("should not be here -\r\n");
+        print_debug("should not be here -\n");
 
 }
 
Index: src/cpu/x86/car/copy_and_run.c
===================================================================
--- src/cpu/x86/car/copy_and_run.c	(revision 3942)
+++ src/cpu/x86/car/copy_and_run.c	(working copy)
@@ -19,7 +19,7 @@
 
 
 #if !CONFIG_COMPRESS 
-	print_debug("Copying coreboot to RAM.\r\n");
+	print_debug("Copying coreboot to RAM.\n");
 	__asm__ volatile (
 		"leal _liseg, %0\n\t"
 		"leal _iseg, %1\n\t"
@@ -29,7 +29,7 @@
 	);
 	memcpy(src, dst, dst_len);
 #else 
-	print_debug("Uncompressing coreboot to RAM.\r\n");
+	print_debug("Uncompressing coreboot to RAM.\n");
 
         __asm__ volatile (
 	        "leal _liseg, %0\n\t"
@@ -38,11 +38,11 @@
         );
 
 #if CONFIG_USE_INIT		
-	printk_spew("src=%08x\r\n",src); 
-	printk_spew("dst=%08x\r\n",dst);
+	printk_spew("src=%08x\n",src); 
+	printk_spew("dst=%08x\n",dst);
 #else
-        print_spew("src="); print_spew_hex32((uint32_t)src); print_spew("\r\n");
-        print_spew("dst="); print_spew_hex32((uint32_t)dst); print_spew("\r\n");
+        print_spew("src="); print_spew_hex32((uint32_t)src); print_spew("\n");
+        print_spew("dst="); print_spew_hex32((uint32_t)dst); print_spew("\n");
 #endif
 	
 //	dump_mem(src, src+0x100);
@@ -52,11 +52,11 @@
 #endif
 //	dump_mem(dst, dst+0x100);
 #if CONFIG_USE_INIT
-	printk_spew("coreboot_ram.bin length = %08x\r\n", olen);
+	printk_spew("coreboot_ram.bin length = %08x\n", olen);
 #else
-	print_spew("coreboot_ram.bin length = "); print_spew_hex32(olen); print_spew("\r\n");
+	print_spew("coreboot_ram.bin length = "); print_spew_hex32(olen); print_spew("\n");
 #endif
-	print_debug("Jumping to coreboot.\r\n");
+	print_debug("Jumping to coreboot.\n");
 
 	if(cpu_reset == 1 ) {
 		__asm__ volatile (
Index: src/cpu/intel/model_6ex/cache_as_ram_disable.c
===================================================================
--- src/cpu/intel/model_6ex/cache_as_ram_disable.c	(revision 3942)
+++ src/cpu/intel/model_6ex/cache_as_ram_disable.c	(working copy)
@@ -60,12 +60,12 @@
         	        "movl   %%esp, %0\n\t"
 	                : "=a" (v_esp)
 	        );
-	        printk_spew("v_esp=%08x\r\n", v_esp);
+	        printk_spew("v_esp=%08x\n", v_esp);
         }
 
 cpu_reset_x:
 
-        printk_spew("cpu_reset = %08x\r\n",cpu_reset);
+        printk_spew("cpu_reset = %08x\n",cpu_reset);
 
 	if(cpu_reset == 0) {
 	        print_spew("Clearing initial memory region: ");
@@ -107,5 +107,5 @@
 		/* We will not return */
 	}
 
-	print_debug("sorry. parachute did not open.\r\n");
+	print_debug("sorry. parachute did not open.\n");
 }
Index: src/cpu/intel/model_6fx/cache_as_ram_disable.c
===================================================================
--- src/cpu/intel/model_6fx/cache_as_ram_disable.c	(revision 3942)
+++ src/cpu/intel/model_6fx/cache_as_ram_disable.c	(working copy)
@@ -60,12 +60,12 @@
         	        "movl   %%esp, %0\n\t"
 	                : "=a" (v_esp)
 	        );
-	        printk_spew("v_esp=%08x\r\n", v_esp);
+	        printk_spew("v_esp=%08x\n", v_esp);
         }
 
 cpu_reset_x:
 
-        printk_spew("cpu_reset = %08x\r\n",cpu_reset);
+        printk_spew("cpu_reset = %08x\n",cpu_reset);
 
 	if(cpu_reset == 0) {
 	        print_spew("Clearing initial memory region: ");
@@ -107,5 +107,5 @@
 		/* We will not return */
 	}
 
-	print_debug("sorry. parachute did not open.\r\n");
+	print_debug("sorry. parachute did not open.\n");
 }
Index: src/cpu/intel/microcode/microcode.c
===================================================================
--- src/cpu/intel/microcode/microcode.c	(revision 3942)
+++ src/cpu/intel/microcode/microcode.c	(working copy)
@@ -82,7 +82,7 @@
 	print_debug_hex32(pf);
 	print_debug(" rev = 0x");
 	print_debug_hex32(rev);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	m = microcode_updates;
 	for(c = microcode_updates; m->hdrver;  m = (const struct microcode *)c) {
@@ -99,7 +99,7 @@
 			print_debug_hex32(new_rev);
 			print_debug(" from revision ");
 			print_debug_hex32(rev);
-			print_debug("\r\n");
+			print_debug("\n");
 			break;
 		}
 		if (m->total_size) {
Index: src/mainboard/iwill/dk8_htx/cache_as_ram_auto.c
===================================================================
--- src/mainboard/iwill/dk8_htx/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/iwill/dk8_htx/cache_as_ram_auto.c	(working copy)
@@ -245,11 +245,11 @@
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
         setup_mb_resource_map();
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram 
@@ -276,7 +276,7 @@
         {
                 msr_t msr;
 	        msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -290,7 +290,7 @@
         {
                 msr_t msr;
                	msr=rdmsr(0xc0010042);
-               	print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n"); 
+               	print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n"); 
 
         }
 #endif
@@ -300,7 +300,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset_x(sysinfo->sbbusn, sysinfo->sbdn);
         }
 
Index: src/mainboard/iwill/dk8s2/auto.c
===================================================================
--- src/mainboard/iwill/dk8s2/auto.c	(revision 3942)
+++ src/mainboard/iwill/dk8s2/auto.c	(working copy)
@@ -135,7 +135,7 @@
 	needs_reset = setup_coherent_ht_domain();
 	needs_reset |= ht_setup_chain(PCI_DEV(0, 0x18, 0), 0x80);
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 	
Index: src/mainboard/iwill/dk8s2/cache_as_ram_auto.c
===================================================================
--- src/mainboard/iwill/dk8s2/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/iwill/dk8s2/cache_as_ram_auto.c	(working copy)
@@ -245,11 +245,11 @@
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
         setup_default_resource_map();
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram 
@@ -276,7 +276,7 @@
         {
                 msr_t msr;
 	        msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -290,7 +290,7 @@
         {
                 msr_t msr;
                	msr=rdmsr(0xc0010042);
-               	print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n"); 
+               	print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n"); 
 
         }
 #endif
@@ -300,7 +300,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset_x(sysinfo->sbbusn, sysinfo->sbdn);
         }
 
